summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJustin Lecher <jlec@gentoo.org>2016-01-15 09:50:26 +0100
committerJustin Lecher <jlec@gentoo.org>2016-01-15 10:50:34 +0100
commitae7e7778f714c55daa1c602ead4714631d55fb2a (patch)
treecd4ffee3f883bb69fcde78a4ea501a500f13ce12
parentnet-misc/openssh-7.1_p2: stable for alpha/amd64/arm/ia64/ppc/ppc64/s390/sh/sp... (diff)
downloadgentoo-ae7e7778f714c55daa1c602ead4714631d55fb2a.tar.gz
gentoo-ae7e7778f714c55daa1c602ead4714631d55fb2a.tar.bz2
gentoo-ae7e7778f714c55daa1c602ead4714631d55fb2a.zip
dev-python/html5lib: Don't test with dev-python/lxml-3.5.0
Gentoo-Bug: https://bugs.gentoo.org/show_bug.cgi?id=571644 https://github.com/html5lib/html5lib-python/issues/224 Package-Manager: portage-2.2.26 Signed-off-by: Justin Lecher <jlec@gentoo.org>
-rw-r--r--dev-python/html5lib/html5lib-0.9999999.ebuild10
1 files changed, 8 insertions, 2 deletions
diff --git a/dev-python/html5lib/html5lib-0.9999999.ebuild b/dev-python/html5lib/html5lib-0.9999999.ebuild
index 69308d7db65..d14b5a2b267 100644
--- a/dev-python/html5lib/html5lib-0.9999999.ebuild
+++ b/dev-python/html5lib/html5lib-0.9999999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
@@ -24,5 +24,11 @@ DEPEND="${RDEPEND}
test? ( dev-python/nose[${PYTHON_USEDEP}] )"
python_test() {
- nosetests || die "Tests fail with ${EPYTHON}"
+ # https://github.com/html5lib/html5lib-python/issues/224
+ # https://bugs.gentoo.org/show_bug.cgi?id=571644
+ has_version =dev-python/lxml-3.5.0 && \
+ einfo "test are broken with dev-python/lxml-3.5.0" && \
+ einfo "https://github.com/html5lib/html5lib-python/issues/224" && \
+ return
+ nosetests --verbosity=3 || die "Tests fail with ${EPYTHON}"
}